/**
*PeanutHull App
*
*/
var PeanutHull = PeanutHull || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
PeanutHull.App = function () {
    this.id = 'Peanut Hull';
    this.name = 'Peanut Hull';
    this.version = '6.0.4';
    this.active = false;
    this.menuIcon = '/apps/peanuthull/images/logo.png?v=6.0.4&';
    this.shortcutIcon = '/apps/peanuthull/images/logo.png?v=6.0.4&';
    //this.entryHelpUrl = '/apps/peanuthull/phddns_help.html?v=6.0.4&';
    var self = this;
    this.PeanutHullAppWindow = function () { //create app window
     self.window=new MUI.Window({
            id: 'PeanutHullAppWindow',
            title: UNAS._('Peanut Hull'),
            icon: '/apps/peanuthull/images/logo_small.png?v=6.0.4&',
            loadMethod: 'xhr',
            width: 650,
            height: 600,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [700, 1000], 'y': [600, 800] },
            contentURL: '/apps/peanuthull/phddns.html?v=6.0.4&',
            require: { css: ['/apps/peanuthull/css/style.css']}
        });
    };
    this.PeanutHullUninstall = function () {
    	UNAS.RemoveDesktopShortcut('Peanut Hull');
    	UNAS.RemoveMenu('Peanut Hull');
    	//UNAS.RemoveAppFromGroups('Peanut Hull', 'Help');
    	UNAS.RemoveAppFromApps('Peanut Hull');
    };
    // new UNAS.Menu('UNAS_App_Internet_Menu', this.name, this.menuIcon, 'Peanut Hull', '', this.PeanutHullAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Peanut Hull', this.PeanutHullAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {"Type": "Internet", "Location": 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        // console.log(e);
    	UNAS.SetMenuTitle('Peanut Hull', UNAS._('Peanut Hull')); //translate menu
        UNAS.SetShortcutTitle('Peanut Hull', UNAS._('Peanut Hull'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('PeanutHullAppWindow', UNAS._('Peanut Hull'));
        }
    };
    UNAS.LoadTranslation('/apps/peanuthull/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.PeanutHullAppWindow, this.PeanutHullUninstall);
};

new PeanutHull.App(); //Create app
